org.springframework.cloud.dataflow.server.service

## Class ValidationStatus

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.ValidationStatus

-     public class ValidationStatus
      extends Object

  Contains the validation status of task, composed task, or stream definition.
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationStatus(String definitionName, String definitionDsl, String description)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getAppsStatuses()`
    `String` | `getDefinitionDsl()`
    `String` | `getDefinitionName()`
    `String` | `getDescription()`
    `void` | `setAppsStatuses(Map<String,String> appsStatuses)`
    `void` | `setDefinitionDsl(String definitionDsl)`
    `void` | `setDefinitionName(String definitionName)`
    `void` | `setDescription(String description)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationStatus

          public ValidationStatus(String definitionName,
                                  String definitionDsl,
                                  String description)

  - ### Method Detail

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getDefinitionName

          public String getDefinitionName()

    - #### setDefinitionName

          public void setDefinitionName(String definitionName)

    - #### getDefinitionDsl

          public String getDefinitionDsl()

    - #### setDefinitionDsl

          public void setDefinitionDsl(String definitionDsl)

    - #### getAppsStatuses

          public Map<String,String> getAppsStatuses()

    - #### setAppsStatuses

          public void setAppsStatuses(Map<String,String> appsStatuses)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.